from flask import Flask

from app.config import Config
from app.database import engine
from app.models import Base
from app.views import bp


def create_app():
    app = Flask(__name__)
    app.config.from_object(Config)

    # Ensure database tables exist
    Base.metadata.create_all(engine)

    # Register blueprints
    app.register_blueprint(bp)

    return app
